logo

Path Params

NameTypeRequiredDescriptionDefault

Query Params

NameTypeRequiredDescriptionDefault
botIdstringRequired

ID của chatbot

-

Headers

HeaderRequiredDescriptionExample
AuthorizationRequired

Bearer token xác thực

Bearer <token>

Response

200Thành công
TrườngKiểuMô tả
resultCodestringMã kết quả
resultMsgstringThông báo kết quả
dataobjectĐối tượng chứa dữ liệu trả về
data.botobjectThông tin chi tiết của chatbot
data.bot.createdAtstringNgày tạo chatbot
data.bot.updatedAtstringNgày cập nhật chatbot lần cuối
data.bot.createdBystringNgười tạo chatbot
data.bot.updatedBystringNgười cập nhật chatbot lần cuối
data.bot.botIdstringID của chatbot
data.bot.botNamestringTên của chatbot
data.bot.botDescriptionstringMô tả về chatbot
data.bot.isPublicbooleanTrạng thái công khai của chatbot
data.bot.statusnumberTrạng thái của chatbot
data.bot.coreBotIdstringID của core bot
data.bot.modelCodestringMã model sử dụng
data.bot.creativityLevelnumberMức độ sáng tạo
data.bot.writeStyleCodestringMã phong cách viết
data.bot.responseFormatCodestringMã định dạng phản hồi
data.bot.answerStyleCodestringMã phong cách trả lời
data.bot.enableResponseOutDataTrainbooleanCho phép phản hồi ngoài dữ liệu train
data.bot.outputLanguagestringNgôn ngữ đầu ra
data.bot.quoteDocumentbooleanTrích dẫn tài liệu
data.bot.suggestNextQuestionbooleanGợi ý câu hỏi tiếp theo
data.filesarrayDanh sách các file đã tải lên
data.files[].createdAtstringNgày tạo file
data.files[].updatedAtstringNgày cập nhật file
data.files[].createdBystringNgười tạo file
data.files[].updatedBystringNgười cập nhật file
data.files[].fileIdstringID của file
data.files[].storagePathIdnumberID đường dẫn lưu trữ
data.files[].fileNamestringTên file
data.files[].filePathstringĐường dẫn file
data.files[].fileTmpPathstringĐường dẫn file tạm
data.files[].fileSizenumberKích thước file
data.files[].fileExtensionstringĐuôi file mở rộng
data.files[].statusnumberTrạng thái file
data.files[].fileOldUrlstringURL cũ của file
data.files[].eventIdstringID sự kiện
data.files[].tableNamestringTên bảng
data.files[].fileIndexStatusstringTrạng thái index của file
data.botCreaterbooleanCho biết người dùng có phải là người tạo bot không
404Không tìm thấy chatbot
TrườngKiểuMô tả
errorstringThông báo lỗi không tìm thấy
example.title:
{
  "200": {
    "data": {
      "bot": {
        "createdAt": "2025-06-18T10:28:51.784+00:00",
        "updatedAt": "2025-06-20T02:39:12.195+00:00",
        "createdBy": "SAMPLE_USER",
        "updatedBy": "SAMPLE_USER",
        "botId": "76626115-948a-4b5c-a56e-7ad64873f57e",
        "botName": "Bot để xóa 3 $%%^ ?",
        "botDescription": "y",
        "isPublic": null,
        "status": 1,
        "coreBotId": null,
        "modelCode": "gpt-4o",
        "creativityLevel": 1,
        "writeStyleCode": "phê bình",
        "responseFormatCode": "thơ",
        "answerStyleCode": "mỉa mai",
        "enableResponseOutDataTrain": true,
        "outputLanguage": "tiếng việt",
        "quoteDocument": false,
        "suggestNextQuestion": false
      },
      "files": [
        {
          "createdAt": "2025-06-19T06:15:05.094+00:00",
          "updatedAt": "2025-06-19T06:15:29.950+00:00",
          "createdBy": "SAMPLE_USER",
          "updatedBy": "SAMPLE_USER",
          "fileId": "4067157c-a803-40b6-aee7-63deccf09c04",
          "storagePathId": 2,
          "fileName": "HarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdf.docx",
          "filePath": "76626115-948a-4b5c-a56e-7ad64873f57e/HarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdfHarryPottersdf.docx",
          "fileTmpPath": null,
          "fileSize": 18057,
          "fileExtension": "docx",
          "status": 1,
          "fileOldUrl": null,
          "eventId": null,
          "tableName": null,
          "fileIndexStatus": "SUCCESS"
        }
      ],
      "botCreater": true
    },
    "resultCode": "0",
    "resultMsg": "Success"
  }
}

API Request

GEThttps://troly.mobifone.vn/api/v1/am/bot/getBotInfo?botId=:botId

Try It Out

Test Endpoint

Query Parameters
Headers
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: 'https://troly.mobifone.vn/api/v1/am/bot/getBotInfo?botId={{botId}}',
  headers: {
    'Authorization': '<YOUR_ACCESS_TOKEN_BEARER>
  }
};

axios.request(config)
  .then((response) => {
    console.log(JSON.stringify(response.data));
  })
  .catch((error) => {
    console.log(error);
  });